KArrowButton class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KArrowButton Class Reference

Draws a button which shows an arrow pointing into a certain direction. Draws a button with an arrow. More...

`#include <karrowbutton.h>`

Inheritance diagram for KArrowButton:

[legend]
Collaboration diagram for KArrowButton:

[legend]
List of all members.

## Public Slots
void | setArrowType (Qt::ArrowType a)
| Defines in what direction the arrow is pointing to.
## Public Member Functions
| KArrowButton (QWidget *parent=0, Qt::ArrowType arrow=Qt::UpArrow, const char *name=0)
| Constructs an arrow button.
virtual | ~KArrowButton ()
| Destructor.
virtual QSize | sizeHint () const
| Reimplemented from QPushButton.
## Protected Member Functions
virtual void | drawButton (QPainter *)
| Reimplemented from QPushButton.
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Draws a button which shows an arrow pointing into a certain direction. Draws a button with an arrow.

The arrow's alignment on the button depends on the direction it's pointing to, e.g. a left arrow is aligned at the left border, a upwards arrow at the top border. This class honours the currently configured KStyle when drawing the arrow.

Author:
  Frerich Raabe

Definition at line 34 of file karrowbutton.h.

## Constructor & Destructor Documentation

KArrowButton::KArrowButton | ( | QWidget * | parent = 0,
|  | Qt::ArrowType | arrow = Qt::UpArrow,
|  | const char * | name = 0
| ) |

  | Constructs an arrow button. Parameters:
  parent | This button's parent
  arrow | The direction the arrrow should be pointing in
  name | An internal name for this widget
Definition at line 30 of file karrowbutton.cpp. References KStdAccel::name().

KArrowButton::~KArrowButton | ( |  | ) | `[virtual]`

| Destructor. Definition at line 38 of file karrowbutton.cpp.

## Member Function Documentation

QSize KArrowButton::sizeHint | ( |  | ) | const`[virtual]`

| Reimplemented from QPushButton. Definition at line 43 of file karrowbutton.cpp.

void KArrowButton::setArrowType | ( | Qt::ArrowType | a | ) | `[slot]`

  | Defines in what direction the arrow is pointing to. Will repaint the button if necessary. Parameters:
  a | The direction this arrow should be pointing in
Definition at line 48 of file karrowbutton.cpp.

void KArrowButton::drawButton | ( | QPainter * |  | ) | `[protected, virtual]`

| Reimplemented from QPushButton. Definition at line 56 of file karrowbutton.cpp. References QPainter::fillRect(), and QPushButton::isDown().

The documentation for this class was generated from the following files:

- karrowbutton.h
- karrowbutton.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:58:46 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001